/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * glite-config-register.h
 *
 * Authors: Paolo Badino <paolo.badino@cern.ch>
 * Version info: $Id: glite-config-register.hxx,v 1.3 2008/01/24 08:43:43 ptedesco Exp $
 * Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_CONFIG_GLITE_CONF_REGISTER_HXX_
#define GLITE_DATA_CONFIG_GLITE_CONF_REGISTER_HXX_

/*
 * Forward Declaration
 */
namespace glite{
namespace config{
class ComponentConfiguration;
}
}

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus

/**
 * Register a Static Component into the Glite Service Configuration
 * @param component [IN] the component to be registered statically
 * @return 0 if success, -1 if failed
 */
int glite_config_register(glite::config::ComponentConfiguration * component);
    
/**
 * Deregister a previously registered Static Component
 * @param component [IN] the component to be deregistered
 * @return 0 if success, -1 if failed
 */
int glite_config_deregister(glite::config::ComponentConfiguration * component);
    
#ifdef __cplusplus
}
#endif //__cplusplus

#endif //GLITE_DATA_CONFIG_GLITE_CONF_REGISTER_HXX_
