/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  log-message.hxx
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: log-message.hxx,v 1.1 2008/06/12 14:23:53 ptedesco Exp $
 *  Release: $Name:  $
 *
 */

#ifndef GLITE_DATA_CONFIG_LOG_MESSAGE_HXX_
#define GLITE_DATA_CONFIG_LOG_MESSAGE_HXX_

#include <string>

namespace glite{
namespace config{

/**
 * log_message
 * log a message to a file named '/tmp/<name>-svc-conf-debug.log'; to be used 
 * when the logging library is possibly not initialized
 * @param log_file_name [IN] the <name> part of the log file path
 * @param severity_string [IN] DEBUG,INFO,...
 * @param msg [IN] the log message
 */
void log_message(
    const std::string&  log_file_name,
    const std::string&  severity_string,
    const char *        msg);

} // namespace config
} // namespace glite

#endif // GLITE_DATA_CONFIG_LOG_MESSAGE_HXX_

